Delete an asset criticality record

Base URL
https://{kibana_url}
  • DELETE /api/asset_criticality
  • DELETE /s/{space_id}/api/asset_criticality
Auth

Delete the asset criticality record for a specific entity.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

id_value string required

The ID value of the asset.

Example: my_host
id_field enum required

The field representing the ID.

Values: host.name user.name service.name
refresh enum

If 'wait_for' the request will wait for the index refresh.

Values: wait_for

Responses

Successful response

application/json
deleted boolean required

True if the record was deleted or false if the record did not exist.

record object
id_field enum required
Values: host.name user.name service.name
id_value string required

The ID value of the asset.

criticality_level enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
asset object required
criticality enum

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
host object
asset object
criticality enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
name string required
service object
asset object
criticality enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
name string required
user object
asset object
criticality enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
name string required
@timestamp string · format: date-time required

The time the record was created or updated.

400

Invalid request

Base URL
https://{kibana_url}